Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 879305 - sysctl service can't run
Summary: sysctl service can't run
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-22 15:03 UTC by Robin Powell
Modified: 2013-07-04 06:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-04 06:49:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Robin Powell 2012-11-22 15:03:43 UTC
My apologies if this is a bad bug report; I've done better for you in the past but I've been up all night.

Running "sudo systemctl start systemd-sysctl.service" (including the equivalent on boot, since I get an error during boot which is how I found this) generates for me the following AVCs:

----
type=AVC msg=audit(11/22/2012 06:59:23.627:601) : avc:  denied  { write } for  pid=1074 comm=systemd-sysctl name=overcommit_memory dev="proc" ino=12772 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=file
----
type=AVC msg=audit(11/22/2012 06:59:23.631:602) : avc:  denied  { write } for  pid=1074 comm=systemd-sysctl name=zone_reclaim_mode dev="proc" ino=12773 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=file
----
type=AVC msg=audit(11/22/2012 06:59:23.985:609) : avc:  denied  { search } for  pid=873 comm=setroubleshootd name=vm dev="proc" ino=12771 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=dir
----
type=AVC msg=audit(11/22/2012 06:59:24.107:614) : avc:  denied  { getattr } for  pid=873 comm=setroubleshootd path=/proc/sys/vm dev="proc" ino=12771 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=dir
----
type=AVC msg=audit(11/22/2012 06:59:24.171:617) : avc:  denied  { search } for  pid=873 comm=setroubleshootd name=vm dev="proc" ino=12771 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=dir
----
type=AVC msg=audit(11/22/2012 06:59:24.326:622) : avc:  denied  { getattr } for  pid=873 comm=setroubleshootd path=/proc/sys/vm dev="proc" ino=12771 scontext=system_u:system_r:setroubleshootd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=dir

Comment 1 Miroslav Grepl 2012-11-23 19:18:37 UTC
We have fixes for overcommit_memory in Fedora18. I will need to backport them.

Comment 2 Fedora End Of Life 2013-07-04 06:18:20 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.